---
title: 'IDBRequest: success event'
slug: Web/API/IDBRequest/success_event
---
<div>{{ APIRef("IndexedDB") }}</div>

<p>The <code>success</code> event is fired when an <code>IDBRequest</code> succeeds.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/IDBRequest/onsuccess">onsuccess</a></code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>This example tries to open a database and listens for the <code>success</code> event using <code>addEventListener()</code>:</p>

<pre class="brush: js">// Open the database
const openRequest = window.indexedDB.open('toDoList', 4);

openRequest.onupgradeneeded = (event) =&gt; {
  const db = event.target.result;

  db.onerror = () =&gt; {
    console.log('Error creating database');
  };

  // Create an objectStore for this database
  var objectStore = db.createObjectStore('toDoList', { keyPath: 'taskTitle' });

  // define what data items the objectStore will contain
  objectStore.createIndex('hours', 'hours', { unique: false });
  objectStore.createIndex('minutes', 'minutes', { unique: false });
  objectStore.createIndex('day', 'day', { unique: false });
  objectStore.createIndex('month', 'month', { unique: false });
  objectStore.createIndex('year', 'year', { unique: false });
};

openRequest.addEventListener('success', (event) =&gt; {
  console.log('Database opened successfully!');
});

</pre>

<p>The same example, but using the <code>onsuccess</code> event handler property:</p>

<pre class="brush: js">// Open the database
const openRequest = window.indexedDB.open('toDoList', 4);

openRequest.onupgradeneeded = (event) =&gt; {
  const db = event.target.result;

  db.onerror = () =&gt; {
    console.log('Error creating database');
  };

  // Create an objectStore for this database
  var objectStore = db.createObjectStore('toDoList', { keyPath: 'taskTitle' });

  // define what data items the objectStore will contain
  objectStore.createIndex('hours', 'hours', { unique: false });
  objectStore.createIndex('minutes', 'minutes', { unique: false });
  objectStore.createIndex('day', 'day', { unique: false });
  objectStore.createIndex('month', 'month', { unique: false });
  objectStore.createIndex('year', 'year', { unique: false });
};

openRequest.onsuccess = (event) =&gt; {
  console.log('Database opened successfully!');
};
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.IDBRequest.success_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/IndexedDB/Using_IndexedDB">Using IndexedDB</a></li>
 <li><code><a href="/en-US/docs/Web/API/IDBRequest/onsuccess">onsuccess</a></code> event handler property</li>
</ul>
